---
title: A wild overlay appears!
date: Mon May 23 23:21:00 EDT 2016
author: Eduardo Trujillo
uuid: a09d1ae8-04d8-43c8-9a64-8945aa77494f
---

After using Gentoo for a while, I've noticed that while the main portage tree
has many up-to-date [ebuilds][2], there are still some that lag behind 
upstream.

The good news is that, if you're a bit adventurous, you can add overlays,
which, like the name implies, are ebuild trees that are overlaid on top of your
local tree.

Overlays usually contain software or package versions that are not
available on the main tree. However, it also means that they might not have
gone through the same amount of quality assurance than packages from the main
tree.

Overlays may be personal or maintained by a small group of developers. They
can also exist just locally on your machine or they can be hosted on a git
repository.

There's also tools like `layman` which can help you manage overlays used on a
machine.

So far, my favorite overlays are `gnome`, `steam-overlay`, and `haskell`, which
provide a recent version of GNOME (3.20), Steam, and up-to-date Haskell
packages respectively.

However, not everything has an ebuild, even if you look on overlays, so you
might have to write your own ebuilds.

I've been collecting a couple of these and putting them on my own [personal
overlay][1] hosted on git. This has allowed me to version them and share them
across Gentoo machines.

If you are feeling adventurous, you can try it by adding the following file to
`/etc/portage/repos.conf/chromabits.conf`:

```ini
[chromabits]
location = /usr/local/overlay/chromabits
sync-type = git
sync-uri = https://phabricator.chromabits.com/diffusion/PORT/portage.git
auto-sync = yes
```

However, I cannot guarantee that they will build, install correctly, or not
start a fire given that I lack the time resources to perform something more
advanced than "It works on my machine(s)" in terms of QA.

Here a quick summary of a few goodies included:

- **iio-sensor-proxy:** Allows GNOME to automatically adjust the screen
  brightness.
- **nm-applet:** A recent version (1.2) of the NetworkManager applet.
- **corebird:** A recent version (1.2) of a great GTK+ Twitter client. 
- **slack:** The official Slack client for Linux.
- **networkmanager:** The latest version of NetworkManager, which has nice
  features like Wi-Fi power save and MAC address randomization. 
- **softether-vpn:** The SoftEther VPN server and client. 
- **syncthing-gtk:** A GTK GUI for Syncthing.

[1]: https://phabricator.chromabits.com/diffusion/PORT/#portage
[2]: https://en.wikipedia.org/wiki/Ebuild
